itpp::TCP_Segment Class Reference
Protocols Module

`#include <itpp/protocol/tcp.h>`

## Public Member Functions

| TCP_Segment ()
| ADD DOCUMENTATION HERE.
| TCP_Segment (const Sequence_Number &sn_begin, const Sequence_Number &sn_end)
| ADD DOCUMENTATION HERE.
| TCP_Segment (const TCP_Segment &segment)
| ADD DOCUMENTATION HERE.
TCP_Segment & | operator= (const TCP_Segment &segment)
| ADD DOCUMENTATION HERE.
void | set_begin (const Sequence_Number &sn)
| ADD DOCUMENTATION HERE.
void | set_end (const Sequence_Number &sn)
| ADD DOCUMENTATION HERE.
void | combine (const TCP_Segment &segment)
| ADD DOCUMENTATION HERE.
bool | operator== (const TCP_Segment &segment) const
| ADD DOCUMENTATION HERE.
bool | operator!= (const TCP_Segment &segment) const
| ADD DOCUMENTATION HERE.
bool | can_be_combined (const TCP_Segment &segment) const
| ADD DOCUMENTATION HERE.
bool | is_contained (const TCP_Segment &segment) const
| ADD DOCUMENTATION HERE.
unsigned | length () const
| ADD DOCUMENTATION HERE.
Sequence_Number | begin () const
| ADD DOCUMENTATION HERE.
Sequence_Number | end () const
| ADD DOCUMENTATION HERE.

## Protected Attributes

Sequence_Number | seq_begin
| no. of first byte of segment
Sequence_Number | seq_end
| no. of last byte of segment + 1

## Friends

std::ostream & | operator<< (std::ostream &os, const TCP_Segment &segment)
| ADD DOCUMENTATION HERE.

## Detailed Description

TCP is a byte oriented protcol. Parts of the byte stream that is transmitted are called segments. They are identified by sequence numbers TCP_Segment contains fileds for the beginning sequence number and the sequence number of the first byte in the following segment (i.e. the sequence number of the last byte + 1). TCP_Segment provides several const methods to compare segments and to check whether they overlap. TCP_Segment is, e.g., used in TTCPPacket and TTCPReceiverBuffer.

See Also
  Sequence_Number
  TTCPPacket
  TTCPReceiverBuffer

Author
  Lorang
  Bodamer

Definition at line 145 of file tcp.h.

The documentation for this class was generated from the following file:

- itpp/protocol/tcp.h

Generated on Thu Mar 20 2014 12:26:47 for IT++ by Doxygen 1.8.6